## quarktv quarktv — Motion dissolver |

## Synopsis

    struct              GstQuarkTV;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstQuarkTV

## Properties

      "planes"                   gint                  : Read / Write

## Description

RevTV acts like a video waveform monitor for each line of video processed. This creates a pseudo 3D effect based on the brightness of the video along each line.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! revtv ! videoconvert ! autovideosink

This pipeline shows the effect of revtv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ xRGB, xBGR, BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ xRGB, xBGR, BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstQuarkTV

    struct GstQuarkTV;

## Property Details

### The `"planes"` property

      "planes"                   gint                  : Read / Write

Number of planes.

Allowed values: [0,64]

Default value: 16